All Apps/Games Compatible Across All Android OSs?

This is a discussion on All Apps/Games Compatible Across All Android OSs? within the Nexus One forums, part of the Google Phones category; Hey everyone, had a quick question. Tried searching and yielded nothing. I'm about to get the Nexus One here in a little bit, so I ...

Results 1 to 4 of 4

Thread: All Apps/Games Compatible Across All Android OSs?

  1. #1
    Member USofPlutarchy's Avatar
    Join Date
    Feb 2010
    Posts
    63

    All Apps/Games Compatible Across All Android OSs?

    Hey everyone, had a quick question. Tried searching and yielded nothing. I'm about to get the Nexus One here in a little bit, so I was wondering, are all android games/apps (like in the video below) functional across all android phones and operating system versions? For example, if a game was coded for android 1.5, will it work on my N1's android 2.1 OS? Thanks.

    [ame="http://www.youtube.com/watch?v=mn-XaaQXIxw"]http://www.youtube.com/watch?v=mn-XaaQXIxw[/ame]

  2. Android.net is the premier Android Forum. Registered users do not see these ads. .

  3. #2
    Senior Member Bishop6's Avatar
    Join Date
    Jan 2010
    Posts
    937
    Quote Originally Posted by rgrmatt69 View Post
    Hey everyone, had a quick question. Tried searching and yielded nothing. I'm about to get the Nexus One here in a little bit, so I was wondering, are all android games/apps (like in the video below) functional across all android phones and operating system versions? For example, if a game was coded for android 1.5, will it work on my N1's android 2.1 OS? Thanks.

    http://www.youtube.com/watch?v=mn-XaaQXIxw

    It depends on the type of game / apps... most of the time the developer will say it is also compatible with 2.1 or it has not been tested with the 2.1 OS.

    Just read the reviews about a particular game / app before you download it.

  4. #3
    Guy
    Guy is offline
    Member Guy's Avatar
    Join Date
    Jan 2010
    Posts
    82
    All apps coded for 1.5 should work on 2.1, because the sdk is very backward compatible. However if one codes an app for 2.1 it will not work on devices below that version and will not even show in the market on lower devices.
    Follow me at @Burlyskink
    Want a Lockerz invite? PM me

  5. #4
    Member Joshhawaii's Avatar
    Join Date
    Jan 2010
    Posts
    78
    All games/apps should be compatible with the Nexus One, but some don't say that they are (and therefore don't show up in the marketplace). One such example is Bonsai Blast. I had it on a MotoCliq and loved it, but it doesn't show up on the Nexus One. The dev said they just need to change it to say it works on 2.1 after "testing", but they make it sound like it's a real simple line to put in "works with android 2.1".
    What was more frustrating was the opposite: on a Cliq, most of my searches for these awesome apps turn up nothing because you need 1.6+ and it was 1.5. You'll be better off with 2.1 on the Nexus.

Remove Ads

http://www.scramblerducati.org/

Sponsored Links

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Similar Threads

  1. Replies: 0
    Last Post: 12-28-2010, 04:25 PM

Search tags for this page

app compatability across android os versions
,
compatible with all android games
,
games compatible in android 3.4v
,

how to increase compatibility of android phone with games

,
how to make games compatible with android
,
increase compatibility of android
,
nexus 10 compatible with all android apps
Click on a term to search our sites for related topics.
Android Forum